<?php

namespace App\Admin\Repositories;

use App\Models\Lawyer;
use App\Models\LawyerCost as ModelLawyerCost;
//use Dcat\Admin\Repositories\EloquentRepository;
use Dcat\Admin\Repositories\Repository;
use Dcat\Admin\Grid;

use Illuminate\Support\Collection;

class LawyerCost extends Repository
{
    /**
     * Model.
     *
     * @var string
     */
    //protected $eloquentClass = Model::class;

    /**
     * 各学部申报情况
     * 项目类型	数理 化学 生命 地学	工材 信息 管理	医学 交叉 其他 总计
     */
    public function get(Grid\Model $model)
    {
        // 获取筛选条件
        $year = $model->filter()->input('year') ?? date("Y");

        $data = [];
        $nowyear = date('Y');
        $monthNum = $year >= $nowyear ? date('m') : 12;

        $list = ModelLawyerCost::COSTiTEM; //Lawyer::all();

        foreach ($list as $key => $val) {

            $tmp = [];
            $tmp['title'] = $val['name']; //项目名称
            //总计
            $total = 10;
            for ($i = 1; $i <= $monthNum; $i++) {
                $tmp[$i] = $i;
            }

            //总计
            $tmp['total'] = $total;

            array_push($data, $tmp);
        }

        return $data;
        // $data = [
        //     ['id' => 1, 'year' => '2016', 'jzsqNum' => '100', 'jzhpNum' => '100', 'sbTotal' => '100'],
        //     ['id' => 2, 'year' => '2017', 'jzsqNum' => '100', 'jzhpNum' => '100', 'sbTotal' => '100']
        // ];
        // return $data;
    }
}
